Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 81569

Summary: ghost packages
Product: [Retired] Red Hat Raw Hide Reporter: Tim Waugh <twaugh>
Component: anacondaAssignee: Jeff Johnson <jbj>
Status: CLOSED WORKSFORME QA Contact: Mike McLean <mikem>
Severity: medium Docs Contact:
Priority: medium    
Version: 1.0CC: katzj
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-01-14 20:55:21 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 79578    

Description Tim Waugh 2003-01-10 16:14:59 UTC
Description of problem:
Some packages appear half-installed; packages are there, but rpm -q denies them.
 This happens after a fresh install.

Steps to Reproduce:
Log in as root, then run this:

diff -du <(sed -ne 's/^.* \(.*\)\.$/\1/p' install.log | sort) <(rpm -qa | sort)
    
Actual results:
Output.

Expected results:
No output.

Additional info:

Comment 1 Jeremy Katz 2003-01-11 07:07:20 UTC
Jeff, to update based on what you asked me to look for

The test for the nptl environment is failing and it is falling back to use
DB_PRIVATE.

Also, there are the correct number of rpmdbAdd mentions in the log.  

Comment 12 Tim Waugh 2003-01-11 17:35:00 UTC
Jeremy: I am seeing missing packages before *any* rpm CLI commands after
install.  Immediately after install and reboot, log in as root and run the
command from the first comment.  I see 371 missing packages pretty consistently.

Comment 20 Michael Fulbright 2003-01-13 19:50:29 UTC
Adding a time estimate and moving to ASSIGNED.